public class geneTest
{
  public static void main(String arg[])
  {
  Gene x1=new Gene(0.0,0,10,10);
  Gene x2=new Gene(10,0,10,10);
  Gene x3=new Gene(2.3,0,10,10);
  Gene x4=new Gene(0,10,10);
  System.out.println("x4="+x4.toString());
  x4.cross2(0.1,x1,x2);
  System.out.println("x1="+x1.toString()+"x2="+x2.toString()+"x3="+x3.toString()+"x4="+x4.toString());
  }
}